﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head><title>Viewing Task Details</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Viewing Tasks Details</h1>
        <p>The <strong>Task Detail&#160;</strong>page provides more detailed information about the pending task.&#160;</p>
        <p>To view the details of the task, perform the following steps:</p>
        <ol>
            <li>
                <p class="auto-cursor-target">Select&#160;<strong>ARS &gt; Tasks &gt; Pending Tasks</strong>. The list of pending tasks is displayed.</p>
            </li>
            <li>
                <p class="auto-cursor-target">Click&#160;<strong>Action </strong>inline with the pending task, under <strong>Actions</strong> column. </p>
            </li>
            <li>
                <p class="auto-cursor-target">Select <strong>View </strong>option to view the pending task details. The detailed view of the task is shown as a pop-up window. The pop-up displays different tabs such as Task Detail, Request Detail, Approval History, Complete Task, or User Details. </p>
            </li>
        </ol>
        <p>When you click the <strong>View</strong> option, the following pop-up appears. The subpages in this window are read-only (not editable).&#160;But, you can edit the <strong>Complete Task</strong>&#160;page in this window.</p>
        <ol MadCap:continue="true">
            <li>
                <p>Select <strong>Submit</strong> after making the required change in <strong>Complete Task</strong>&#160;if any. The changes are saved in the pending task.</p>
            </li>
        </ol>
        <p>The <strong>Task Detail</strong> view of a pending task also displays the following fields:</p>
        <ol>
            <li><strong>Task Type:&#160;</strong>Describes the task type. For example, New Account or Add Access.</li>
            <li><strong>Username: </strong>Username of the account</li>
            <li><strong>Account: </strong>Account name.</li>
            <li><strong>Endpoint: </strong>Endpoint name.</li>
            <li><strong>Application: </strong>The name of the security system.</li>
            <li><strong>Provisioning Metadata</strong>: The metadata related to the provisioning of the task.</li>
            <li><strong>Existing Comments</strong>: The existing comments in the task.</li>
            <li><strong>Provisioning Comments</strong>: The comments related to the provisioning of the task.</li>
            <li><strong>No: of Tries for Provisioning</strong>: The number of times the provisioning task has been executed until the task is provisioned.</li>
            <li>
                <p class="auto-cursor-target"><strong>Comments</strong>: The field where you can enter any additional comments.</p>
                <div class="confluence-information-macro-body">
                    <p><strong>Note:</strong> In the <strong>List of Pending Tasks</strong>, suppose there is an exception in provisioning, you can view the error details by hovering the mouse over the i icon under the <strong>Provisioning Comments</strong> column.</p>
                    <p>
                        <img src="../Resources/Images/Error message seen in Provisioning Comments column.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 623px;height: 388px;" />
                    </p>
                    <p>Figure: Error message seen in&#160;<strong>Provisioning Comments</strong> column</p>
                </div>
            </li>
        </ol>
        <ol MadCap:continue="false">
            <li>Click <strong>Request Detail</strong> tab to view the details of the submitted request.</li>
        </ol>
        <p>
            <img src="../Resources/Images/Request Detail tab of a Sample Pending Task.png" style="width: 672px;height: 302px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p style="margin-left: 30.0px;">Figure: Request Detail tab&#160;of a Sample Pending Task</p>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;"> Click <strong>Approval History</strong>&#160;tab to view the past approval details for the submitted request.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/Approval History tab of a Sample Pending Task.png" style="width: 672px;height: 302px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;">Figure: Approval History tab&#160;of a Sample Pending Task</p>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;">Click <strong>Complete Tasks</strong>&#160;tab to view the completed task details for the submitted request.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/Complete Task tab of a Sample Pending Task.png" style="width: 672px;height: 302px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;"><strong>Figure</strong>: Complete Task tab&#160;of a Sample Pending Task</p>
        <ul>
            <li>
                <p>The <strong>Endpoint Level Email Templates</strong> is set <strong>OFF</strong> by default, if the task owner wants to use the email template configured at the endpoint level for completing the tasks manually, the task owner can turn this parameter <strong>ON</strong>.</p>
                <ul>
                    <li>
                        <p>When the parameter is set <strong>ON</strong>, and an email template is added at the endpoint level for a specific task, the same email template will be used for sending email notifications while completing the respective tasks manually.</p>
                    </li>
                    <li>
                        <p>When the parameter is set <strong>ON</strong>, and the email template is not added at the endpoint level for a specific task, then the template configured in the <strong>Task Complete Email Template</strong> parameter is used to send email notifications. To check the email template configured, go to <strong>Admin &gt; Global Configurations &gt; Tasks &gt;Notification</strong>.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <ol MadCap:continue="true">
            <li>
                <p style="margin-left: 30.0px;">Click <strong>User Details</strong>&#160;tab to view detailed user details for the submitted request.</p>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/User Details tab of a Sample Pending Task.png" style="width: 672px;height: 302px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;">Figure: User Details tab&#160;of a Sample Pending Task</p>
        <p style="margin-left: 30.0px;">Once a task is completed, Saviynt Identity Governance and Administration (IGA) sends notifications to the user based on the task email template field configurations. For more information, see&#160;<MadCap:xref href="Notifications-about-Tasks.htm">Notifications about Tasks</MadCap:xref>.</p>
    </body>
</html>